Subject: Re: bug#9960: Compiling Emacs trunk with MSVC

From: Tim Crews <[email-masked]>
Date: Wed, 30 Nov 2011 08:48:50 -0700

In a (misguided) effort to debug the linum-mode problem that I reported yesterday (bug 10164), I attempted to build Emacs on my Windows 7 Pro SP1 64-bit machine using MSVC; specifically using the Windows SDK 7.1 tools.

The initial "nmake bootstrap" still does not work.  The compilation of ntlib.c fails with

C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\INCLUDE\time.h(270) : error C2090: function returns array

I realize now that it was a waste of time to try to build an MSVC version of Emacs when the linum-mode bug was apparently caused by an issue with gcc.  But back on 11/27 you asked someone to try a MSVC build, so here you go.

Thank you for the work that you all do.

Tim Crews